<!-- 管理员信息 -->
<template>
    <div class="vue-box submit-box--dialog" style="width: 600px;">
        <!-- ------- 内容部分 ------- -->
        <div class="c-card">
            <el-form label-width="10em">
                <show-info name="编号：" br>{{ state.model.id }}</show-info>
                <show-info name="名称：" br>{{ state.model.name }}</show-info>
                <show-info name="手机：" br>{{ state.model.phone || '无' }}</show-info>
                <show-info name="角色：" br>{{ state.model.roleName }}</show-info>
                <show-info name="创建账号：" br>
                    <span v-if="state.model.createByAid === -1">无</span>
                    <el-link type="primary" v-else @click="f5(state.model.createByAid);">{{ state.model.createByAid }}</el-link>
                </show-info>
                <show-info name="创建时间：" br>{{ sa.forDate(state.model.createTime, 2) }}</show-info>
                <show-info name="最后登录：" br>{{ sa.forDate(state.model.loginTime, 2) || '无' }}</show-info>
                <show-info name="最后登录IP：" br>{{ state.model.loginIp || '无' }}</show-info>
            </el-form>
        </div>
    </div>
</template>

<script setup name="admin-info">
import {onMounted, reactive} from "vue";

const prop = defineProps({
    param: {type: Object}
})

// ------------------ 数据 ------------------
const state = reactive({
    id: prop.param.id || 0,   // 获取传值id （0=添加，非0=修改）
    model: {}   // 数据 Model
})

onMounted(function (){
    f5(state.id)
})

// ------------------ 函数 ------------------
// 查询 
const f5 = function (id) {
    if (id === 0 || id === sa.$sys.getCurrUser().id) {
        sa.ajax('/admin/getByCurr', function(res) {
            state.model = res.data;
        });
    } else {
        sa.ajax('/admin/getById?id=' + id, function(res) {
            if(res.data == null) {
                return sa.alert('未能查找到 id=' + id + " 详细数据");
            }
            state.model = res.data;
        });
    }
}

</script>

<style scoped>

</style>
